﻿## HW5
### Decision Tree, PCA and K-means

This Homework contains several theoretical questions about decision tree, PCA and k-means
It also contains implementation of PCA demention reduction method on MNIST dataset and reconstructing initial data.

